Package org.kapott.hbci.comm

## Class CommStandard

- java.lang.Object
- - org.kapott.hbci.comm.Comm
  - - org.kapott.hbci.comm.CommStandard

    public final class CommStandard
    extends Comm

### Field Summary

### Fields inherited from class org.kapott.hbci.comm.Comm

`ENCODING, filter`

### Constructor Summary

Constructors
`CommStandard​(HBCIPassportInternal parentPassport)` < @internal @brief The inputstream to read HBCI-messages from.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `closeConnection()`
`protected void` `ping​(MSG msg)`
`protected java.lang.StringBuffer` `pong​(MsgGen gen)`

### Methods inherited from class org.kapott.hbci.comm.Comm

`close, getInstance, getParentPassport, pingpong`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommStandard

    public CommStandard​(HBCIPassportInternal parentPassport)

< @internal @brief The inputstream to read HBCI-messages from.

### Method Detail

#### ping

    protected void ping​(MSG msg)

Specified by:
  `ping` in class `Comm`

#### pong

    protected java.lang.StringBuffer pong​(MsgGen gen)

Specified by:
  `pong` in class `Comm`

#### closeConnection

    protected void closeConnection()

Specified by:
  `closeConnection` in class `Comm`